> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/products/post-methods/business-rules.md).

# Business Rules

When updating products, please bear in mind the following business rules.\
• The 'Brand' parameter won’t be mandatory, if the (SKU) codes in the product catalog are unique. If there are two (SKU) codes with different brands, the change will be reported as invalid.\
• The 'Brand' parameter can be set by ID or Name.\
• The 'SKU' parameter is mandatory and should match with the product code in the catalog.\
Despite the name, the product code set in this attribute works with the "SKU" or "Owncode" product codes from the catalog.\
First, the API will try to find the product using the stored "SKU" attribute/value of the product. If it does not find any product, then it will try to find the product using the stored "Owncode" attribute/value of the product. If it could not find a product either, it will return error code 404 (Not found)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/products/post-methods/business-rules.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
